CatalogProduct Drafts
Create an idempotent unpublished product draft
POST
/v1/catalog/product-draftsCreate an idempotent unpublished product draft. A successful request returns HTTP 200 with the documented response body.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/catalog/product-drafts" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "product": { "name": "Example resource", "sku": "SKU-001", "description": "Example description.", "slug": "example-resource", "brandId": "7204558912004325301", "categoryId": "7204558912004325301", "price": 0, "compareAtPrice": 0 }, "idempotencyKey": "example", "conversationId": "7204558912004325301" }'{ "id": "7204558912004325301", "name": "Example resource", "status": "example", "isPublished": false}